<?php
/**
 * The template 'Style 2' to displaying related posts
 *
 * @package HYGIA
 * @since HYGIA 1.0
 */

$hygia_link        = get_permalink();
$hygia_post_format = get_post_format();
$hygia_post_format = empty( $hygia_post_format ) ? 'standard' : str_replace( 'post-format-', '', $hygia_post_format );
?><div id="post-<?php the_ID(); ?>" <?php post_class( 'related_item post_format_' . esc_attr( $hygia_post_format ) ); ?> data-post-id="<?php the_ID(); ?>">
	<?php
	hygia_show_post_featured(
		array(
			'thumb_ratio'   => '300:223',
			'thumb_size'    => apply_filters( 'hygia_filter_related_thumb_size', hygia_get_thumb_size( (int) hygia_get_theme_option( 'related_posts' ) == 1 ? 'huge' : 'square' ) ),
		)
	);
	?>
	<div class="post_header entry-header">
		<?php
		if ( in_array( get_post_type(), array( 'post', 'attachment' ) ) ) {

			hygia_show_post_meta(
				array(
					'components' => 'categories',
					'class'      => 'post_meta_categories',
				)
			);

		}
		?>
		<h6 class="post_title entry-title"><a href="<?php echo esc_url( $hygia_link ); ?>"><?php
			if ( '' == get_the_title() ) {
				esc_html_e( '- No title -', 'hygia' );
			} else {
				the_title();
			}
		?></a></h6>
	</div>
</div>
